Bug 988728 - Review Request: chinese-calendar - A Chinese traditional calendar of UbuntuKylin
Review Request: chinese-calendar - A Chinese traditional calendar of UbuntuKylin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 05:01 EDT by Christopher Meng
Modified: 2013-08-16 20:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: chinese-calendar-0.7.9-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-16 19:03:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-07-26 05:01:54 EDT
Spec URL: http://cicku.me/chinese-calendar.spec
SRPM URL: http://cicku.me/chinese-calendar-0.7.8-1.fc20.src.rpm  
Description: This is a Chinese traditional calendar for UbuntuKylin. There is an 
attachment with festivals and solar terms In China. In line with the 
Chinese useing habit,it can help users to query date conveniently.
Fedora Account System Username: cicku
Comment 1 Christopher Meng 2013-08-04 23:28:55 EDT
NEW version released.

Spec URL: http://cicku.me/chinese-calendar.spec
SRPM URL: http://cicku.me/chinese-calendar-0.7.9-1.fc20.src.rpm
Comment 2 Hans de Goede 2013-08-06 02:24:58 EDT
Good:
--------
- rpmlint checks return:
chinese-calendar.x86_64: W: no-documentation
chinese-calendar.x86_64: W: no-manual-page-for-binary chinese-calendar
These can safely be ignored
- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv3) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file

Should fix:
---------------
- rpmlint checks return:
chinese-calendar.x86_64: W: spelling-error %description -l en_US useing -> using, unseeing, segueing
chinese-calendar.x86_64: W: desktopfile-without-binary /usr/share/applications/chinese-calendar.desktop /usr/bin/chinese-calendar
Please fix the spelling error in %description. The second warning is caused by the .desktop file containing a full-path ( /usr/bin/chinese-calendar) rather then just chinese-calender, would be nice to also fix this.

-the spec should run desktop-file-validate on the installed .desktop file (and BuildRequires desktop-file-utils for this).

No blockers, approved!
Comment 3 Christopher Meng 2013-08-06 04:18:51 EDT
Thanks!
Comment 4 Christopher Meng 2013-08-06 04:19:33 EDT
New Package SCM Request
=======================
Package Name: chinese-calendar
Short Description: A Chinese traditional calendar of UbuntuKylin
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-08-06 09:13:37 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-08-06 23:31:09 EDT
chinese-calendar-0.7.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/chinese-calendar-0.7.9-1.fc19
Comment 7 Fedora Update System 2013-08-07 04:52:22 EDT
chinese-calendar-0.7.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/chinese-calendar-0.7.9-1.fc18
Comment 8 Fedora Update System 2013-08-07 18:59:56 EDT
chinese-calendar-0.7.9-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2013-08-16 19:03:36 EDT
chinese-calendar-0.7.9-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-08-16 19:05:08 EDT
chinese-calendar-0.7.9-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.